## libplasma 6.5.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(PROJECT_VERSION "6.5.4")
project(libplasma VERSION ${PROJECT_VERSION})

set(QT_MIN_VERSION "6.9.0")
set(PROJECT_DEP_VERSION "6.5.4")
set(KF6_MIN_VERSION "6.18.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)
include(ECMGenerateQDoc)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX PLASMA
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2 DBus)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
    COMPONENTS
        Archive
        Config
        CoreAddons
        GlobalAccel
        GuiAddons
        I18n
        IconThemes
        KIO
        WindowSystem
        Notifications
        Package
        KirigamiPlatform
        Svg
        ColorScheme
)
find_package(PlasmaActivities REQUIRED ${PROJECT_DEP_VERSION})

# Wayland features
find_package(PlasmaWaylandProtocols 1.10.0 REQUIRED)
find_package(Qt6WaylandClient ${QT_MIN_VERSION} REQUIRED CONFIG)
find_package(Wayland 1.9 REQUIRED Client)

option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
if(NOT WITHOUT_X11)
    #optional features
    find_package(X11 MODULE)
    set_package_properties(X11 PROPERTIES DESCRIPTION "X11 libraries"
                        URL "https://www.x.org/"
                        TYPE OPTIONAL
                        )
    find_package(XCB MODULE COMPONENTS XCB COMPOSITE DAMAGE XFIXES RENDER)
    set_package_properties(XCB PROPERTIES DESCRIPTION "X protocol C-language Binding"
                        URL "https://xcb.freedesktop.org/"
                        TYPE OPTIONAL
                        )
    if(X11_FOUND AND XCB_XCB_FOUND)
        set(HAVE_X11 1)
        #X11_Xrender discovery is done by FindX11
        #add_feature_info("X Rendering Extension (libXrender)" X11_Xrender_FOUND "Support for compositing, rendering operations, and alpha-blending. STRONGLY RECOMMENDED")
    else()
        set(HAVE_X11 0)
    endif()
endif()

find_package(OpenGL)
set_package_properties(OpenGL PROPERTIES DESCRIPTION "The OpenGL libraries"
                       URL "https://www.opengl.org/"
                       TYPE OPTIONAL
                      )

find_package(EGL)
set_package_properties(EGL PROPERTIES
                       PURPOSE "Fallback when OpenGL not available because of missing GLVND"
                       TYPE OPTIONAL
                      )

get_target_property(QtGui_Enabled_Features Qt6::Gui QT_ENABLED_PUBLIC_FEATURES)
if(OpenGL_GLX_FOUND AND HAVE_X11 AND (QtGui_Enabled_Features MATCHES "opengl"))
    add_feature_info(GLX OpenGL_GLX_FOUND "OpenGL GLX libraries.")
    set(HAVE_GLX 1)
else()
    set(HAVE_GLX 0)
endif()

# OpenGL_EGL_FOUND is defined by FindOpenGL
if(TARGET OpenGL::EGL)
    add_feature_info(EGL OpenGL_EGL_FOUND
                     "A platform-agnostic mechanism for creating rendering surfaces for use with other graphics libraries, such as OpenGL|ES and OpenVG.")
    set(HAVE_EGL 1)
else()
    set(HAVE_EGL 0)
    message(STATUS "OpenGL::EGL is not available")
endif()

#########################################################################

ecm_set_disabled_deprecation_versions(
    QT 6.9.0
    KF 6.16.0
)

#add_definitions(-Wno-deprecated)

include(PlasmaMacros.cmake)

#########################################################################


option(BUILD_EXAMPLES "Build and install Plasma examples." OFF)
option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if (BUILD_EXAMPLES)
    find_package(KF6DBusAddons ${KF6_MIN_VERSION})
endif()

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make plasma_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
add_definitions(-DTRANSLATION_DOMAIN=\"libplasma6\")
ki18n_install(po)
add_subdirectory(src)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()
add_subdirectory(templates)

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/Plasma")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS Plasma_QCH
        FILE PlasmaQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/PlasmaQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
  "${CMAKE_CURRENT_SOURCE_DIR}/PlasmaMacros.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT PlasmaTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE PlasmaTargets.cmake
        NAMESPACE Plasma::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR}/Plasma COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
libplasma (6.5.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.4).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 09 Dec 2025 20:52:19 +0100

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.16~),
               doxygen,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.5.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.10.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.2.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6widgetsaddons-dev (>= 6.2.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.5.4~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-private-dev,
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-tools-dev (>= 6.6.0~),
               qt6-wayland-dev (>= 6.9.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.18.0~),
         libkf6config-dev (>= 6.18.0~),
         libkf6package-dev (>= 6.18.0~),
         libkf6windowsystem-dev (>= 6.18.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.9.0~),
         qt6-declarative-dev (>= 6.9.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.115.0-6~),
Replaces: plasma-framework (<< 5.115.0-6~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.5.4+p24.04+vstable+git20251231.0240

=== debian/changelog ===
libplasma (6.5.4+p24.04+vstable+git20251231.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:40:25 +0000

libplasma (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:20:18 +1000

libplasma (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:12:04 +1000

libplasma (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:11:34 +1000

## libplasma 6.5.4+p24.04+vstable+git20260107.0902

=== debian/changelog ===
libplasma (6.5.4+p24.04+vstable+git20260107.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 09:02:52 +0000

## libplasma 6.5.4+p24.04+vunstable+git20251209.1126

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.4")
+set(PROJECT_VERSION "6.5.80")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.5.4")
+set(PROJECT_DEP_VERSION "6.4.90")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -52,7 +52,6 @@
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
     COMPONENTS
-        Archive
         Config
         CoreAddons
         GlobalAccel

=== debian/changelog ===
libplasma (6.5.4+p24.04+vunstable+git20251209.1126-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 11:26:33 +0000

## libplasma 6.5.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.80")
+set(PROJECT_VERSION "6.5.5")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.4.90")
+set(PROJECT_DEP_VERSION "6.5.5")
 set(KF6_MIN_VERSION "6.18.0")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -52,6 +52,7 @@
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
     COMPONENTS
+        Archive
         Config
         CoreAddons
         GlobalAccel

=== debian/changelog ===
libplasma (6.5.5-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:46:33 +0000

libplasma (6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 14:56:45 +0000

libplasma (6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:18:55 +0000

libplasma (6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:08:06 +0000

libplasma (6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:12:57 +0000

libplasma (6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:47:14 +0000

libplasma (6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:37:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,38 @@
 Source: libplasma
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
                doxygen,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libegl-dev,
                libkf6archive-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
                libkf6config-dev (>= 6.18.0~),
-               libkf6configwidgets-dev (>= 6.5.0~),
+               libkf6configwidgets-dev (>= 6.18.0~),
                libkf6coreaddons-dev (>= 6.18.0~),
                libkf6dbusaddons-dev (>= 6.18.0~),
                libkf6globalaccel-dev (>= 6.18.0~),
                libkf6guiaddons-dev (>= 6.18.0~),
                libkf6i18n-dev (>= 6.18.0~),
                libkf6iconthemes-dev (>= 6.18.0~),
-               libkf6kcmutils-dev (>= 6.10.0~),
+               libkf6kcmutils-dev (>= 6.18.0~),
                libkf6kio-dev (>= 6.18.0~),
                libkf6notifications-dev (>= 6.18.0~),
                libkf6package-dev (>= 6.18.0~),
-               libkf6parts-dev (>= 6.2.0~),
+               libkf6parts-dev (>= 6.18.0~),
                libkf6svg-dev (>= 6.18.0~),
-               libkf6widgetsaddons-dev (>= 6.2.0~),
+               libkf6widgetsaddons-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkirigami-dev (>= 6.18.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.5.4~),
+               libplasmaactivities-dev (>= 6.5.5~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
@@ -44,16 +44,16 @@
                pkgconf,
                plasma-wayland-protocols (>= 1.10.0~),
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
-               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.9.0+dfsg~),
                qt6-svg-dev (>= 6.9.0~),
-               qt6-tools-dev (>= 6.6.0~),
+               qt6-tools-dev (>= 6.9.0~),
                qt6-wayland-dev (>= 6.9.0~),
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/libplasma
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libplasma
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libplasma.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
+Rules-Requires-Root: no
 
 Package: libplasma-dev
 Architecture: any
@@ -87,16 +87,14 @@
 Package: libplasma6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.
 
 Package: libplasmaquick6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.
 
@@ -116,7 +114,9 @@
          qml6-module-qtquick-window,
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: plasma-framework (<< 5.115.0-6~),
-Replaces: plasma-framework (<< 5.115.0-6~),
+Breaks: plasma-framework (<< 5.116.0-0ubuntu2~),
+        plasma5-desktoptheme (<< 6.1.0-2),
+Replaces: plasma-framework (<< 5.116.0-0ubuntu2~),
+          plasma5-desktoptheme (<< 6.1.0-2~),
 Description: Plasma Runtime components
  Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.5.5+p24.04+vstable+git20260123.0250

=== debian/changelog ===
libplasma (6.5.5+p24.04+vstable+git20260123.0250-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 02:50:49 +0000

libplasma (6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:28:48 +1000

## libplasma 6.5.5+p24.04+vstable+git20260127.0942

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.5")
+set(PROJECT_VERSION "6.5.90")
 project(libplasma VERSION ${PROJECT_VERSION})
 
-set(QT_MIN_VERSION "6.9.0")
-set(PROJECT_DEP_VERSION "6.5.5")
-set(KF6_MIN_VERSION "6.18.0")
+set(QT_MIN_VERSION "6.10.0")
+set(PROJECT_DEP_VERSION "6.5.90")
+set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -52,7 +52,6 @@
 
 find_package(KF6 ${KF6_MIN_VERSION} REQUIRED
     COMPONENTS
-        Archive
         Config
         CoreAddons
         GlobalAccel

## libplasma 6.5.5+p24.04+vstable+git20260129.0212

=== debian/changelog ===
libplasma (6.5.5+p24.04+vstable+git20260129.0212-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 29 Jan 2026 02:12:10 +0000

## libplasma 6.5.5+p24.04+vstable+git20260130.0927

=== debian/changelog ===
libplasma (6.5.5+p24.04+vstable+git20260130.0927-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:27:20 +0000

## libplasma 6.5.5+p24.04+vunstable+git20260130.1419

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.5.90")
+set(PROJECT_VERSION "6.6.80")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")

=== debian/changelog ===
libplasma (6.5.5+p24.04+vunstable+git20260130.1419-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 14:19:34 +0000

## libplasma 6.5.5+p24.04+vunstable+git20260201.0758

=== debian/changelog ===
libplasma (6.5.5+p24.04+vunstable+git20260201.0758-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 07:59:00 +0000

## libplasma 6.6.0+p24.04+vstable+git20260215.1033

=== debian/changelog ===
libplasma (6.6.0+p24.04+vstable+git20260215.1033-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 10:33:27 +0000

libplasma (6.6.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Feb 2026 03:56:29 +0000

## libplasma 6.6.0+p24.04+vstable+git20260219.0450

=== debian/changelog ===
libplasma (6.6.0+p24.04+vstable+git20260219.0450-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 04:50:49 +0000

## libplasma 6.6.0+p24.04+vstable+git20260220.0823

=== debian/changelog ===
libplasma (6.6.0+p24.04+vstable+git20260220.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 20 Feb 2026 08:23:20 +0000

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               gettext,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kguiaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-kirigami-dev,
               kf6-knotifications-dev,
               kf6-kpackage-dev,
               kf6-kparts-dev,
               kf6-ksvg-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               libegl-dev,
               libegl1-mesa-dev,
               libsm-dev,
               libwayland-dev,
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-wayland-protocols,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/plasma-framework
Rules-Requires-Root: no
Vcs-Git: https://invent.kde.org/neon/neon-packaging/libplasma.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/libplasma
Maintainer: Neon CI <neon@kde.org>

Package: libplasma6
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Breaks: libkf5plasma5 (<< 6), plasma-framework (<< 6), plasma-framework6 (<< 6)
Depends: qml6-module-org-kde-kconfig,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtqml-models,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-templates,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kf6-plasma-framework,
          libkf5plasma5 (<< 6),
          libkf5plasmaquick5,
          libkf6plasma,
          libkf6plasma-doc,
          libkf6plasmaquick6,
          libplasmaquick6,
          plasma-desktoptheme,
          plasma-framework (<< 6),
          plasma-framework6 (<< 6)
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt6.
 .
 This package contains the qch documentation files.

Package: libplasma-dev
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: kf6-extra-cmake-modules,
         kf6-kcoreaddons-dev,
         kf6-kirigami-dev,
         kf6-kpackage-dev,
         kf6-kwindowsystem-dev,
         libplasma6 (= ${binary:Version}),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Replaces: kf6-plasma-framework-dev,
          libkf5plasma-dev,
          libkf6plasma-dev,
          plasma-framework6-dev
Description: development files for plasma-framework
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for plasma-framework.

Package: kf6-plasma-framework
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: kf6-plasma-framework-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6plasma-doc
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasma-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasma5
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5plasmaquick5
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libf6plasmaquick6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf6plasma-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libplasmaquick6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework6
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework6-dev
Architecture: all
Depends: libplasma-dev, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-framework
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-desktoptheme
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## libplasma 6.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.80")
+set(PROJECT_VERSION "6.6.1")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")
-set(PROJECT_DEP_VERSION "6.5.90")
+set(PROJECT_DEP_VERSION "6.6.1")
 set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)
@@ -40,7 +40,7 @@
                   VARIABLE_PREFIX PLASMA
                   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/plasma_version.h"
                   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/PlasmaConfigVersion.cmake"
-                  SOVERSION 6)
+                  SOVERSION 7)
 
 ################# now find all used packages #################

=== src/declarativeimports/core/CMakeLists.txt ===
if(HAVE_X11 AND XCB_XCB_FOUND AND XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    set(HAVE_XCB_COMPOSITE TRUE)
else()
    set(HAVE_XCB_COMPOSITE FALSE)
endif()

configure_file(config-x11.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-x11.h)

ecm_add_qml_module(corebindingsplugin URI "org.kde.plasma.core" VERSION 2.0 DEPENDENCIES QtCore QtQuick org.kde.config)

target_sources(corebindingsplugin PRIVATE
    action.cpp
    corebindingsplugin.cpp
    tooltiparea.cpp
    tooltipdialog.cpp
    windowthumbnail.cpp

    action.h
    corebindingsplugin.h
    tooltiparea.h
    tooltipdialog.h
    windowthumbnail.h
    ${RESOURCES}
)

ecm_target_qml_sources(corebindingsplugin SOURCES
    private/DefaultToolTip.qml
    private/DialogBackground.qml
)

target_link_libraries(corebindingsplugin PRIVATE
        Qt6::Quick
        Qt6::Qml
        Qt6::Widgets
        KF6::IconThemes
        KF6::I18n
        Qt6::Svg
        KF6::WindowSystem
        KF6::I18nQml
        Plasma::Plasma
        Plasma::PlasmaQuick
        Wayland::Client
)

if(HAVE_X11)
  target_link_libraries(corebindingsplugin PRIVATE ${X11_LIBRARIES} XCB::XCB Qt6::GuiPrivate)

  if(XCB_COMPOSITE_FOUND AND XCB_DAMAGE_FOUND)
    target_link_libraries(corebindingsplugin PRIVATE
        XCB::DAMAGE
        XCB::COMPOSITE
        )
  endif()

  if(HAVE_GLX)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::GLX)
  endif()
endif()

if(HAVE_EGL)
    target_link_libraries(corebindingsplugin PRIVATE OpenGL::EGL)
endif()

ecm_finalize_qml_module(corebindingsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/declarativeimports/plasmaextracomponents/CMakeLists.txt ===
ecm_add_qml_module(plasmaextracomponentsplugin VERSION 2.0 URI "org.kde.plasma.extras" GENERATE_PLUGIN_SOURCE DEPENDENCIES org.kde.plasma.core)

target_sources(plasmaextracomponentsplugin PRIVATE
    qmenu.cpp
    qmenuitem.cpp
    qmenu.h
    qmenuitem.h
)

ecm_target_qml_sources(plasmaextracomponentsplugin SOURCES
    qml/ActionTextField.qml
    qml/BasicPlasmoidHeading.qml
    qml/DescriptiveLabel.qml
    qml/ExpandableListItem.qml
    qml/Heading.qml
    qml/Highlight.qml
    qml/ListItem.qml
    qml/ListSectionHeader.qml
    qml/ModelContextMenu.qml
    qml/PasswordField.qml
    qml/PlaceholderMessage.qml
    qml/PlasmoidHeading.qml
    qml/Representation.qml
    qml/SearchField.qml
    qml/ShadowedLabel.qml
)

ecm_target_qml_sources(plasmaextracomponentsplugin PATH animations SOURCES
    qml/animations/ActivateAnimation.qml
    qml/animations/AppearAnimation.qml
    qml/animations/DisappearAnimation.qml
    qml/animations/PressedAnimation.qml
    qml/animations/ReleasedAnimation.qml
)

ecm_target_qml_sources(plasmaextracomponentsplugin PRIVATE PATH private SOURCES
    qml/private/BackgroundMetrics.qml
)

target_link_libraries(plasmaextracomponentsplugin PRIVATE
        Qt6::Quick
        Qt6::Qml
        Qt6::Widgets
        KF6::WidgetsAddons
        Plasma::Plasma)

ecm_finalize_qml_module(plasmaextracomponentsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

ecm_generate_qdoc(plasmaextracomponentsplugin plasmaextras.qdocconf)

=== debian/changelog ===
libplasma (6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * Add libkirigami-dev to dev package depends.
  * New upstream release (6.6.1)
  * Revert for now upstream soversion bump.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:14:39 +0000

=== debian/control ===
Source: libplasma
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libegl-dev,
               libkf6archive-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6configwidgets-dev (>= 6.22.0~),
               libkf6coreaddons-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6guiaddons-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6iconthemes-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6package-dev (>= 6.22.0~),
               libkf6parts-dev (>= 6.22.0~),
               libkf6svg-dev (>= 6.22.0~),
               libkf6widgetsaddons-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libopengl-dev,
               libplasmaactivities-dev (>= 6.6.1~),
               libsm-dev,
               libwayland-dev (>= 1.9~),
               libx11-xcb-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-render0-dev,
               libxcb-shape0-dev,
               libxcb-xfixes0-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.10.0~),
               qt6-base-dev (>= 6.10.0~),
               qt6-declarative-dev (>= 6.10.0~),
               qt6-declarative-private-dev (>= 6.10.0+dfsg~),
               qt6-svg-dev (>= 6.10.0~),
               qt6-tools-dev (>= 6.10.0~),
               qt6-wayland-dev (>= 6.10.0~),
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/plasma/libplasma
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libplasma
Rules-Requires-Root: no

Package: libplasma-dev
Architecture: any
Section: libdevel
Depends: extra-cmake-modules (>= 6.22.0~),
         libkf6config-dev (>= 6.22.0~),
         libkf6package-dev (>= 6.22.0~),
         libkf6windowsystem-dev (>= 6.22.0~),
         libkirigami-dev (>= 6.22.0~),
         libplasma6 (= ${binary:Version}),
         libplasmaquick6 (= ${binary:Version}),
         plasma-desktoptheme (= ${binary:Version}),
         qt6-base-dev (>= 6.10.0~),
         qt6-declarative-dev (>= 6.10.0~),
         ${misc:Depends},
Recommends: libplasma-doc (= ${source:Version}),
Description: development files for libplasma
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 Contains development files for libplasma.

Package: libplasma-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Plasma Runtime components (documentation)
 Plasma library and runtime components based upon KF6 and Qt 6.
 .
 This package contains the qch documentation files.
Section: doc

Package: libplasma6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: libplasmaquick6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

Package: plasma-desktoptheme
Architecture: any
Depends: qml6-module-org-kde-kirigami,
         qml6-module-org-kde-ksvg,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-tooling,
         qml6-module-qtquick-window,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-framework (<< 5.116.0-0ubuntu2~),
        plasma5-desktoptheme (<< 6.1.0-2),
Replaces: plasma-framework (<< 5.116.0-0ubuntu2~),
          plasma5-desktoptheme (<< 6.1.0-2~),
Description: Plasma Runtime components
 Plasma library and runtime components based upon KF6 and Qt 6.

## libplasma 6.6.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(PROJECT_VERSION "6.6.1")
+set(PROJECT_VERSION "6.6.2")
 project(libplasma VERSION ${PROJECT_VERSION})
 
 set(QT_MIN_VERSION "6.10.0")
-set(PROJECT_DEP_VERSION "6.6.1")
+set(PROJECT_DEP_VERSION "6.6.2")
 set(KF6_MIN_VERSION "6.22.0")
 
 set(CMAKE_CXX_STANDARD 20)

=== debian/changelog ===
libplasma (6.6.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Mar 2026 12:23:07 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,7 @@
                libkf6windowsystem-dev (>= 6.22.0~),
                libkirigami-dev (>= 6.22.0~),
                libopengl-dev,
-               libplasmaactivities-dev (>= 6.6.1~),
+               libplasmaactivities-dev (>= 6.6.2~),
                libsm-dev,
                libwayland-dev (>= 1.9~),
                libx11-xcb-dev,
